Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.mbeans
Interface TaxServiceClientMBean

All Superinterfaces:
  ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, ServiceConfigurationMBean, WebLogicMBean

public interface TaxServiceClientMBean
extends ServiceConfigurationMBean

The MBean that configures the client side of the tax service.

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`String` | `getAVSReturnListOnZipFailure()`
`String` | `getBusinessLocationCode()`
`String` | `getCompanyID()`
`String` | `getCurrency()` Get the currency used for calculations
`String` | `getOrderOriginCity()`
`String` | `getOrderOriginCountryCode()`
`String` | `getOrderOriginLocationCode()`
`String` | `getOrderOriginPostalCode()`
`String` | `getOrderOriginProvince()`
`String` | `getSellerRegistrationNumber()`
`String` | `getShipFromCity()`
`String` | `getShipFromCountryCode()`
`String` | `getShipFromLocationCode()`
`String` | `getShipFromPostalCode()`
`String` | `getShipFromProvince()`
`String` | `getTaxCalculatorJNDIName()` Get the JNDI name of the Tax service
`String` | `getTaxCalculatorWSDL()` Get the WSDL of the Tax service
`String` | `getTaxDebug()`
`String` | `getTaxType()`
`String` | `getTitlePassageLocation()`
`void` | `setAVSReturnListOnZipFailure(String taxType)`
`void` | `setBusinessLocationCode(String businessLocationCode)`
`void` | `setCompanyID(String companyID)`
`void` | `setCurrency(String currency)` Set the currency used for calculations
`void` | `setOrderOriginCity(String city)`
`void` | `setOrderOriginCountryCode(String countryCode)`
`void` | `setOrderOriginLocationCode(String locationCode)`
`void` | `setOrderOriginPostalCode(String postalCode)`
`void` | `setOrderOriginProvince(String province)`
`void` | `setSellerRegistrationNumber(String sellerRegNumber)`
`void` | `setShipFromCity(String city)`
`void` | `setShipFromCountryCode(String countryCode)`
`void` | `setShipFromLocationCode(String locationCode)`
`void` | `setShipFromPostalCode(String postalCode)`
`void` | `setShipFromProvince(String province)`
`void` | `setTaxCalculatorJNDIName(String jndiName)` Set the JNDI name of the Tax service
`void` | `setTaxCalculatorWSDL(String wsdl)` Set the WSDL of the Tax service
`void` | `setTaxDebug(String debugString)`
`void` | `setTaxType(String taxType)`
`void` | `setTitlePassageLocation(String titlePassage)`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### setTaxCalculatorJNDIName

    public void setTaxCalculatorJNDIName(String jndiName)

  Set the JNDI name of the Tax service

  MBean Dynamic Method
  MBean Attribute Old Property Name:
    tax.calculator.jndi.name

### getTaxCalculatorJNDIName

    public String getTaxCalculatorJNDIName()

  Get the JNDI name of the Tax service

  MBean Attribute Old Property Name:
    tax.calculator.jndi.name

### setTaxCalculatorWSDL

    public void setTaxCalculatorWSDL(String wsdl)

  Set the WSDL of the Tax service

  MBean Dynamic Method

### getTaxCalculatorWSDL

    public String getTaxCalculatorWSDL()

  Get the WSDL of the Tax service

### setCurrency

    public void setCurrency(String currency)

  Set the currency used for calculations

  MBean Attribute Old Property Name:
    taxware.currency

### getCurrency

    public String getCurrency()

  Get the currency used for calculations

  MBean Attribute Old Property Name:
    taxware.currency

### setShipFromProvince

    public void setShipFromProvince(String province)

### getShipFromProvince

    public String getShipFromProvince()

### setShipFromCity

    public void setShipFromCity(String city)

### getShipFromCity

    public String getShipFromCity()

### setShipFromPostalCode

    public void setShipFromPostalCode(String postalCode)

### getShipFromPostalCode

    public String getShipFromPostalCode()

### setShipFromLocationCode

    public void setShipFromLocationCode(String locationCode)

### getShipFromLocationCode

    public String getShipFromLocationCode()

### setShipFromCountryCode

    public void setShipFromCountryCode(String countryCode)

### getShipFromCountryCode

    public String getShipFromCountryCode()

### setOrderOriginProvince

    public void setOrderOriginProvince(String province)

### getOrderOriginProvince

    public String getOrderOriginProvince()

### setOrderOriginCity

    public void setOrderOriginCity(String city)

### getOrderOriginCity

    public String getOrderOriginCity()

### setOrderOriginPostalCode

    public void setOrderOriginPostalCode(String postalCode)

### getOrderOriginPostalCode

    public String getOrderOriginPostalCode()

### setOrderOriginLocationCode

    public void setOrderOriginLocationCode(String locationCode)

### getOrderOriginLocationCode

    public String getOrderOriginLocationCode()

### setOrderOriginCountryCode

    public void setOrderOriginCountryCode(String countryCode)

### getOrderOriginCountryCode

    public String getOrderOriginCountryCode()

### setTitlePassageLocation

    public void setTitlePassageLocation(String titlePassage)

### getTitlePassageLocation

    public String getTitlePassageLocation()

### setCompanyID

    public void setCompanyID(String companyID)

### getCompanyID

    public String getCompanyID()

### setBusinessLocationCode

    public void setBusinessLocationCode(String businessLocationCode)

### getBusinessLocationCode

    public String getBusinessLocationCode()

### setTaxType

    public void setTaxType(String taxType)

### getTaxType

    public String getTaxType()

### setAVSReturnListOnZipFailure

    public void setAVSReturnListOnZipFailure(String taxType)

### getAVSReturnListOnZipFailure

    public String getAVSReturnListOnZipFailure()

### setSellerRegistrationNumber

    public void setSellerRegistrationNumber(String sellerRegNumber)

### getSellerRegistrationNumber

    public String getSellerRegistrationNumber()

### setTaxDebug

    public void setTaxDebug(String debugString)

### getTaxDebug

    public String getTaxDebug()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved